/* 
 * Action types {...}
 * ****************** */

// Articles
export const GET_ARTICLES_DATA = "GET_ARTICLES_DATA";
export const GETONE_ARTICLES_DATA = "GETONE_ARTICLES_DATA";
export const POST_ARTICLES_DATA = "POST_ARTICLES_DATA";
export const PUT_ARTICLES_DATA = "PUT_ARTICLES_DATA";
export const DELETEONE_ARTICLES_DATA = "DELETEONE_ARTICLES_DATA";
export const DELETEALL_ARTICLES_DATA = "DELETEALL_ARTICLES_DATA";

// Images Article
export const GET_IMAGESARTICLES_DATA = "GET_IMAGESARTICLES_DATA";
export const POST_IMAGESARTICLE_DATA = "POST_IMAGESARTICLE_DATA";
export const DELETEONE_IMAGEARTICLE_DATA = "DELETEONE_IMAGEARTICLE_DATA";
export const DELETEALL_IMAGESARTICLES_DATA = "DELETEALL_IMAGESARTICLES_DATA";
export const DELETE_IMAGESPERARTICLES_DATA = "DELETE_IMAGESPERARTICLES_DATA";

// Commande par event
export const GET_COMMANDEEVENT_DATA = "GET_COMMANDEEVENT_DATA";
export const GETONE_COMMANDEEVENT_DATA = "GETONE_COMMANDEEVENT_DATA";
export const POST_COMMANDEEVENT_DATA = "POST_COMMANDEEVENT_DATA";
export const PUT_COMMANDEEVENT_DATA = "PUT_COMMANDEEVENT_DATA";
export const DELETEONE_COMMANDEEVENT_DATA = "DELETEONE_COMMANDEEVENT_DATA";
export const DELETE_COMMANDEEVENT_DATA = "DELETE_COMMANDEEVENT_DATA";

// Articles par commande
export const GET_ARTICLESCOMMANDE_DATA = "GET_ARTICLESCOMMANDE_DATA";
export const GETONE_ARTICLESCOMMANDE_DATA = "GETONE_ARTICLESCOMMANDE_DATA";
export const POST_ARTICLESCOMMANDE_DATA = "POST_ARTICLESCOMMANDE_DATA";
export const PUT_ARTICLESCOMMANDE_DATA = "PUT_ARTICLESCOMMANDE_DATA";
export const DELETEONE_ARTICLESCOMMANDE_DATA = "DELETEONE_ARTICLESCOMMANDE_DATA";
export const DELETE_ARTICLESCOMMANDE_DATA = "DELETE_ARTICLESCOMMANDE_DATA";

// Relations
export const GET_IMAGESANDARTICLES_DATA = "GET_IMAGESANDARTICLES_DATA";
export const GET_IMAGESANDARTICLE_DATA = "GET_IMAGESANDARTICLE_DATA";
export const GET_ARTICLESPERCOMMANDE_DATA = "GET_ARTICLESPERCOMMANDE_DATA";
export const GET_ARTICLESPERCOMMANDES_DATA = "GET_ARTICLESPERCOMMANDES_DATA";